OpenAPI SpecificationJSON
API Reference

Page

A page object contains information about one page of the annotation (we render pages separately for every annotation, but this will change in the future).

Page objects are created automatically during document import and cannot be created through the API, you need to use the upload endpoint. Pages cannot be deleted directly -- they are deleted on parent annotation delete.

Page object

Attribute
Type
Description
id*
read-only
integer

ID of the page

url*
read-only
URL

URL of the page.

annotation*
URL

Annotation that page belongs to.

number*
integer

Page index, first page has index 1.

rotation_deg*
integer

Page rotation.

mime_type*
read-only
string

MIME type of the page (image/png).

s3_name*
read-only
string

Storage key of the page file. Internal use only.

content*
URL

Link to the page raw content (e.g. pdf file).

metadata*
object

Client data. May be used to store e.g. external system object IDs. See Metadata for more details.

Default: {}
width*
read-only
integer | null

Page width in pixels (for internal purposes only)

height*
read-only
integer | null

Page height in pixels (for internal purposes only)

List pages

GET api / v1 / pages

Retrieve all page objects.

GET
/api/v1/pages
curl -X GET "https://example.rossum.app/api/v1/pages"
{
  "pagination": {
    "next": null,
    "previous": null
  },
  "results": [
    {
      "id": 558598,
      "url": "https://example.rossum.app/api/v1/pages/558598",
      "annotation": "https://example.rossum.app/api/v1/annotations/314528",
      "number": 1,
      "rotation_deg": 0,
      "mime_type": "image/png",
      "s3_name": "7eb0dcc0faa8868b55fb425d21cc60dd",
      "content": "https://example.rossum.app/api/v1/pages/558598/content",
      "metadata": {
        "some_key": "some_value"
      },
      "width": null,
      "height": null
    }
  ]
}
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Response

200OK

Returns paginated response with a list of page objects.

Attribute
Type
Description
pagination*
pagination
next
URL

URL for the next page of results. Contains an opaque signed cursor query parameter. Use this URL directly to fetch the next page — do not attempt to construct or modify the cursor value.

previous
URL

URL for the previous page of results. Contains an opaque signed cursor query parameter. Use this URL directly to fetch the previous page — do not attempt to construct or modify the cursor value.

results*
list[page_object]
id*
read-only
integer

ID of the page

url*
read-only
URL

URL of the page.

annotation*
URL

Annotation that page belongs to.

number*
integer

Page index, first page has index 1.

rotation_deg*
integer

Page rotation.

mime_type*
read-only
string

MIME type of the page (image/png).

s3_name*
read-only
string

Storage key of the page file. Internal use only.

content*
URL

Link to the page raw content (e.g. pdf file).

metadata*
object

Client data. May be used to store e.g. external system object IDs. See Metadata for more details.

Default: {}
width*
read-only
integer | null

Page width in pixels (for internal purposes only)

height*
read-only
integer | null

Page height in pixels (for internal purposes only)

400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

Retrieve page

GET api / v1 / pages / {pageID}

Get a page object.

GET
/api/v1/pages/{pageID}
curl -X GET "https://example.rossum.app/api/v1/pages/0"
{
  "id": 558598,
  "url": "https://example.rossum.app/api/v1/pages/558598",
  "annotation": "https://example.rossum.app/api/v1/annotations/314528",
  "number": 1,
  "rotation_deg": 0,
  "mime_type": "image/png",
  "s3_name": "7eb0dcc0faa8868b55fb425d21cc60dd",
  "content": "https://example.rossum.app/api/v1/pages/558598/content",
  "metadata": {
    "some_key": "some_value"
  },
  "width": null,
  "height": null
}
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Response

200OK

OK

Attribute
Type
Description
id*
read-only
integer

ID of the page

url*
read-only
URL

URL of the page.

annotation*
URL

Annotation that page belongs to.

number*
integer

Page index, first page has index 1.

rotation_deg*
integer

Page rotation.

mime_type*
read-only
string

MIME type of the page (image/png).

s3_name*
read-only
string

Storage key of the page file. Internal use only.

content*
URL

Link to the page raw content (e.g. pdf file).

metadata*
object

Client data. May be used to store e.g. external system object IDs. See Metadata for more details.

Default: {}
width*
read-only
integer | null

Page width in pixels (for internal purposes only)

height*
read-only
integer | null

Page height in pixels (for internal purposes only)

400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error